<nav class="navbar navbar-expand-lg navbar-light fixed-top"
    style="background-color: #ffffff!important; border-bottom: 1px solid #F7F7F7; z-index: 1000;">
    <a class="navbar-brand" href="#">
        <img src="assets/rufa.svg" width="30px" />
        Rufa
    </a>
    <div class=" collapse navbar-collapse" id="navbarTogglerDemo03">
        <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
            <li class="nav-item">
                <a class="nav-link" routerLink="/home" routerLinkActive="hold">{{'Home' | translate}}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/shop" routerLinkActive="hold">{{'Shop' | translate}}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/products" routerLinkActive="hold">{{'Product' | translate}}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" routerLink="/categories" routerLinkActive="hold">{{'Category' | translate}}</a>
            </li>
        </ul>
    </div>
    <form class="form-inline my-2 my-lg-0">
        <mat-form-field class="language d-none d-md-block d-lg-block">
            <mat-select [(ngModel)]="lang" name="lang" (selectionChange)="changeLanguage(lang)">
                <mat-option *ngFor="let language of languages" [value]="language.key">
                    {{language.value}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <div *ngIf="!isLogin">
            <a href="/auth/signin" class="control btn signin">{{'Sign in' | translate}}</a>
            <a href="/auth/signup" class="control btn btn-primary">{{'Create new account' | translate}}</a>
        </div>
        <div *ngIf="isLogin">
            <div ngbDropdown class="d-inline-block" placement="bottom-right" display="dynamic">
                <button class="btn btn-primary" id="account" ngbDropdownToggle>R</button>
                <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
                    <button ngbDropdownItem>Action - 1</button>
                    <button ngbDropdownItem>Another Action</button>
                    <button ngbDropdownItem (click)="logout()">Logout</button>
                </div>
            </div>
        </div>
    </form>
</nav>
<nav class="navbar navbar-expand-lg fixed-bottom d-block d-md-block d-lg-none"
    style="background-color: #ffffff!important; border-bottom: 1px solid #F7F7F7">
</nav>
